'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var react = require('@ionic/react');

var IonMEAIconLabel = function (_a) {
    var icon = _a.icon, color = _a.color, children = _a.children, small = _a.small;
    return (React.createElement(react.IonItem, { lines: "none", className: small ? "ion-mea-icon-label-small" : "ion-mea-icon-label" },
        React.createElement("div", { className: "ion-mea-icon-label-container" },
            React.createElement(react.IonIcon, { icon: icon, color: color }),
            React.createElement(react.IonLabel, { color: color }, children))));
};

/* Ionicons v5.0.1, ES Modules */
const chevronForwardOutline = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' class='ionicon' viewBox='0 0 512 512'><path stroke-linecap='round' stroke-linejoin='round' stroke-width='48' d='M184 112l144 144-144 144' class='ionicon-fill-none'/></svg>";

var IonMEANotification = function (_a) {
    var icon = _a.icon, color = _a.color, children = _a.children, filled = _a.filled, detail = _a.detail, sharp = _a.sharp, button = _a.button, fixed = _a.fixed;
    var classes = function () {
        return "\n      ion-mea-notification \n      " + (filled ? 'ion-mea-notification--filled' : "ion-mea-notification--" + color) + " \n      " + (sharp ? 'ion-mea-notification--sharp' : '') + "\n      " + (fixed ? 'ion-mea-notification--fixed' : '') + "\n    ";
    };
    return (React.createElement(react.IonItem, { className: classes(), color: filled ? color : '', lines: "none", button: button, detail: false },
        React.createElement(react.IonIcon, { slot: "start", color: color, icon: icon }),
        React.createElement(react.IonLabel, { color: color, className: "ion-text-wrap" }, children),
        detail &&
            React.createElement(react.IonIcon, { slot: "end", color: color, icon: chevronForwardOutline, size: "small" })));
};

var IonMEARectChip = function (_a) {
    var icon = _a.icon, color = _a.color, children = _a.children, filled = _a.filled, small = _a.small;
    var styles = function () {
        var s = {};
        filled && (s.backgroundColor = "var(--ion-color-" + color + ")");
        return s;
    };
    var classes = function () {
        return "\n      ion-mea-rect-chip \n      " + (filled ? 'ion-mea-rect-chip--filled' : '') + "\n      " + (small ? 'ion-mea-rect-chip--small' : '') + "\n    ";
    };
    return (React.createElement(react.IonChip, { style: styles(), mode: "ios", color: color, className: classes() },
        React.createElement(react.IonIcon, { icon: icon, color: color }),
        React.createElement(react.IonLabel, { color: color }, children)));
};

var IonMEAPageHeader = function (_a) {
    var title = _a.title, children = _a.children, filled = _a.filled;
    var classes = function () {
        return "\n      ion-mea-page-header \n      " + (filled ? 'ion-mea-page-header--filled' : '') + "\n    ";
    };
    return (React.createElement(react.IonItem, { className: classes(), lines: "none" },
        React.createElement(react.IonLabel, null,
            React.createElement("h1", null, title)),
        children));
};

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

var IonMEACheckbox = function (props) {
    return (React.createElement(react.IonCheckbox, __assign({ mode: "md" }, props), props.children));
};

var IonMEACheckbox$1 = function (props) {
    return (React.createElement(react.IonButton, __assign({ mode: "ios" }, props), props.children));
};

var meaActivity = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 18.001'><path d='M7.116,10.749,6,1.948l-1.116,8.8H1A.977.977,0,1,1,1,8.794H3.116l.9-7.086a2.005,2.005,0,0,1,3.968,0l.9,7.086h1.974L12,16.04,13.142,8.8H19a.978.978,0,1,1,0,1.955H14.858l-.881,5.587a2.008,2.008,0,0,1-3.954,0l-.88-5.587H7.115Z'/></svg>";
var meaAskQuestion = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 2.8 12.5 9.8'><path d='M11,3H3a1,1,0,0,0-1,1l0,7.792a.5.5,0,0,0,.854.354L4,11h7a1,1,0,0,0,1-1V4A1,1,0,0,0,11,3ZM7.5,9.75a.25.25,0,0,1-.25.25h-.5a.25.25,0,0,1-.25-.25v-.5A.25.25,0,0,1,6.751,9h.5a.25.25,0,0,1,.25.25ZM7.5,8h-1c0-.488,1-1.473,1-2A.492.492,0,0,0,7,5.5a.52.52,0,0,0-.5.5.5.5,0,1,1-1,0A1.509,1.509,0,0,1,7,4.5,1.485,1.485,0,0,1,8.5,6C8.5,6.711,7.5,7.507,7.5,8Z'/></svg>";
var meaBell = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16.5 18.278'><path d='M12.148,10.473l-.592-.53V5.333a3.556,3.556,0,0,0-7.111,0v4.61l-.592.53a6.211,6.211,0,0,0-1.817,2.86H13.964A6.211,6.211,0,0,0,12.148,10.473Zm-1.481,4.638a2.667,2.667,0,0,1-5.333,0H0A7.98,7.98,0,0,1,2.667,9.148V5.333a5.333,5.333,0,1,1,10.667,0V9.148A7.98,7.98,0,0,1,16,15.111ZM8,16a.889.889,0,0,0,.889-.889H7.111A.889.889,0,0,0,8,16Z'/></svg>";
var meaBookmark = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 20'><path d='M3,2A1,1,0,0,0,2,3V18l2.978-2.717a3,3,0,0,1,4.044,0L12,18V3a1,1,0,0,0-1-1ZM3,0h8a3,3,0,0,1,3,3V18a2,2,0,0,1-3.348,1.477L7.674,16.76a1,1,0,0,0-1.348,0L3.348,19.477A2,2,0,0,1,0,18V3A3,3,0,0,1,3,0Z'/></svg>";
var meaCertificate = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 1.9 12.5 10'><path d='M6.426,2a1,1,0,0,0-.7.283L5.393,2.6,4.934,2.54A1.006,1.006,0,0,0,3.8,3.362l-.08.457-.41.217a1,1,0,0,0-.431,1.329l.2.417-.2.417a1,1,0,0,0,.432,1.329l.409.217L3.8,8.2a1.006,1.006,0,0,0,1.131.822l.46-.065.333.322a1,1,0,0,0,1.4,0l.333-.322.46.065A1.006,1.006,0,0,0,9.049,8.2l.08-.457.41-.217A1,1,0,0,0,9.971,6.2l-.2-.417.2-.417a1,1,0,0,0-.431-1.329l-.41-.217-.08-.457A1.006,1.006,0,0,0,7.917,2.54L7.458,2.6l-.333-.322A1,1,0,0,0,6.426,2ZM3.107,8.155,1.495,9.768a.237.237,0,0,0,.092.392l1.056.352.352,1.056a.236.236,0,0,0,.392.092l1.9-1.9L5.17,9.648l-.58.081a1.214,1.214,0,0,1-.43-.017A1.238,1.238,0,0,1,3.23,8.7l-.092-.528Zm6.636,0-.03.017-.1.576a1.2,1.2,0,0,1-1.351.982l-.58-.081-.116.112,1.9,1.9a.237.237,0,0,0,.392-.092l.352-1.056,1.056-.352a.236.236,0,0,0,.092-.392Z'/></svg>";
var meaCog = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'><path d='M20,8.163a2.108,2.108,0,0,0,0,3.674l-.717,2.406A2.105,2.105,0,0,0,17.065,17.3L15,18.9a2.1,2.1,0,0,0-3.37,1.1l-3.29-.008A2.1,2.1,0,0,0,4.981,18.9l-2.06-1.615A2.1,2.1,0,0,0,.715,14.24L0,11.825A2.106,2.106,0,0,0,1.051,10,2.1,2.1,0,0,0,0,8.175L.715,5.76A2.105,2.105,0,0,0,2.922,2.717L4.98,1.1a2.1,2.1,0,0,0,1.979.369A2.1,2.1,0,0,0,8.342.008L11.634,0a2.1,2.1,0,0,0,1.385,1.471A2.1,2.1,0,0,0,15,1.1l2.06,1.6a2.105,2.105,0,0,0,2.218,3.058L20,8.162ZM14.823,3.68c0-.063,0-.125.005-.188l-.08-.062A4.1,4.1,0,0,1,10.44,2l-.9,0a4.1,4.1,0,0,1-4.29,1.43l-.095.076A4.108,4.108,0,0,1,2.279,7.6,4.1,4.1,0,0,1,3.051,10a4.106,4.106,0,0,1-.772,2.4,4.108,4.108,0,0,1,2.872,4.09l.1.075a4.1,4.1,0,0,1,4.289,1.43l.9,0a4.1,4.1,0,0,1,4.307-1.428l.08-.062A4.108,4.108,0,0,1,17.7,12.4a4.112,4.112,0,0,1,0-4.8,4.108,4.108,0,0,1-2.876-3.919ZM10,14a4,4,0,1,1,4-4A4,4,0,0,1,10,14Zm0-2a2,2,0,1,0-2-2A2,2,0,0,0,10,12Z'/></svg>";
var meaDevices = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='1 2 14 11'><path d='M 2.5 2 C 2.089844 2 1.699219 2.144531 1.421875 2.421875 C 1.144531 2.699219 1 3.089844 1 3.5 L 1 9.5 C 1 9.910156 1.144531 10.300781 1.421875 10.578125 C 1.699219 10.855469 2.089844 11 2.5 11 L 7 11 L 7 12 L 4 12 L 4 13 L 10 13 L 10 13.5 C 10 13.777344 10.222656 14 10.5 14 L 14.5 14 C 14.777344 14 15 13.777344 15 13.5 L 15 6.5 C 15 6.222656 14.777344 6 14.5 6 L 14 6 L 14 3.5 C 14 3.089844 13.855469 2.699219 13.578125 2.421875 C 13.300781 2.144531 12.910156 2 12.5 2 Z M 2.5 3 L 12.5 3 C 12.6875 3 12.796875 3.054688 12.871094 3.128906 C 12.945313 3.203125 13 3.3125 13 3.5 L 13 6 L 10.5 6 C 10.222656 6 10 6.222656 10 6.5 L 10 10 L 2.5 10 C 2.3125 10 2.203125 9.945313 2.128906 9.871094 C 2.054688 9.796875 2 9.6875 2 9.5 L 2 3.5 C 2 3.3125 2.054688 3.203125 2.128906 3.128906 C 2.203125 3.054688 2.3125 3 2.5 3 Z M 11 7 L 14 7 L 14 13 L 11 13 Z M 8 11 L 10 11 L 10 12 L 8 12 Z'/></svg>";
var meaEsetLogoMain = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 48 24'><path d='m 19.2138,14.6753 c -0.699,0 -1.41,-0.015 -1.442,-0.957 l -2.662,0 c 0.02,1.856 0.9,2.463 2.527,2.593 0.492,0.038 1.027,0.035 1.577,0.035 2.243,0 4.104,-0.375 4.104,-2.806 0,-2.317 -1.209,-2.482 -4.105,-2.548 -1.438,-0.032 -1.523,-0.333 -1.523,-0.809 0,-0.565 0.063,-0.746 1.524,-0.746 0.536,0 1.069,0.048 1.19,0.714 l 2.508,0 0,-0.342 c 0,-2.016 -2.113,-2.044 -3.698,-2.044 -2.38,0 -4.104,0.054 -4.104,2.725 0,1.681 0.58,2.466 4.104,2.466 0.318,0 0.824,-0.017 1.121,0.112 0.275,0.119 0.403,0.36 0.403,0.797 0,0.731 -0.268,0.81 -1.524,0.81 M 31.1752,9.4956 c -1.172,0 -1.391,0.38 -1.424,1.528 l 2.925,0 0,-0.091 c 0,-1.336 -0.536,-1.437 -1.501,-1.437 m 12.3228,0.1694 -1.944,0 0,6.581 -2.66,0 0,-6.581 -1.946,0 0,-1.917 6.55,0 z m -8.213,2.706 -5.531,0 0,0.091 c 0,1.51 0.238,2.025 1.469,2.025 0.829,0 1.461,-0.092 1.501,-0.991 l 2.56,0 c -0.02,1.2 -0.428,1.872 -1.105,2.265 -0.706,0.393 -1.723,0.491 -2.956,0.491 -3.298,0 -4.077,-1.118 -4.077,-4.261 0,-3.24 0.714,-4.278 4.077,-4.278 3.143,0 4.062,0.851 4.062,4.278 z m -10.297,7.046 -17.925,0 C 5.674,19.415 4.051,18.735 3.206,17.827 1.872,16.392 1.581,14.142 1.581,12 1.581,9.859 1.872,7.608 3.206,6.173 4.051,5.265 5.674,4.585 7.063,4.582 l 17.925,0 z M 41.38,3 6.621,3 C 4.236,3 2.204,4.232 1.144,5.977 0.207,7.602 0,10.248 0,12 0,13.754 0.207,16.4 1.144,18.023 2.204,19.769 4.236,21 6.621,21 l 34.759,0 c 2.384,0 4.417,-1.231 5.477,-2.977 C 47.793,16.4 48,13.753 48,11.999 48,10.248 47.793,7.602 46.857,5.977 45.797,4.232 43.764,3 41.38,3 M 9.2113,9.5835 c 0.958,0 1.475,0.094 1.475,1.41 l 0,0.064 -2.871,0 c 0.032,-1.125 0.261,-1.474 1.396,-1.474 m -4.056,2.48 c 0,3.151 0.788,4.283 4.105,4.283 1.233,0 2.254,-0.097 2.969,-0.494 0.692,-0.401 1.104,-1.088 1.118,-2.314 l -2.614,0 c -0.027,0.898 -0.636,0.99 -1.473,0.99 -1.209,0 -1.445,-0.491 -1.445,-1.994 l 0,-0.064 5.532,0 0,-0.407 c 0,-3.437 -0.93,-4.298 -4.087,-4.298 -3.381,0 -4.105,1.051 -4.105,4.298'/></svg>";
var meaEsetLogoTiny = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'><path d='M 14.125 3.345 C 13.95 3.065 13.74 2.785 13.495 2.54 C 13.25 2.295 12.97 2.085 12.69 1.91 C 11.43 1.175 9.365 1 8 1 C 6.635 1 4.57 1.175 3.31 1.875 C 3.03 2.085 2.785 2.295 2.54 2.54 C 2.295 2.785 2.085 3.065 1.91 3.345 C 1.175 4.605 1 6.635 1 8 C 1 9.365 1.175 11.43 1.875 12.69 C 2.05 12.97 2.26 13.25 2.505 13.495 C 2.75 13.74 3.03 13.95 3.31 14.125 C 4.57 14.86 6.635 15 8 15 c 1.365 0 3.43 -0.175 4.69 -0.875 c 0.28 -0.175 0.56 -0.385 0.805 -0.63 C 13.74 13.25 13.95 12.97 14.125 12.69 C 14.86 11.43 15 9.365 15 8 C 15 6.635 14.86 4.605 14.125 3.345 m -1.575 9.17 C 11.43 13.565 9.68 13.74 8.035 13.74 C 6.39 13.74 4.605 13.565 3.52 12.515 C 2.505 11.395 2.33 9.68 2.33 8 C 2.33 6.32 2.505 4.605 3.52 3.485 C 4.64 2.435 6.39 2.26 8.035 2.26 c 1.645 0 3.43 0.175 4.515 1.225 c 1.015 1.12 1.19 2.835 1.19 4.515 c 0 1.68 -0.175 3.395 -1.19 4.515 m -1.365 -4.13 l 0 -0.315 C 11.185 5.41 10.45 4.71 8 4.71 c -2.625 0 -3.185 0.805 -3.185 3.36 c 0 2.45 0.63 3.325 3.185 3.325 c 0.945 0 1.75 -0.07 2.31 -0.385 c 0.525 -0.315 0.875 -0.84 0.875 -1.785 l -2.03 0 C 9.12 9.925 8.665 9.995 8 9.995 C 7.055 9.995 6.88 9.61 6.88 8.455 l 0 -0.035 l 4.305 0 Z M 6.88 7.265 C 6.915 6.39 7.09 6.11 7.965 6.11 C 8.7 6.11 9.12 6.18 9.12 7.195 l 0 0.035 l -2.24 0 Z'/></svg>";
var meaHome = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 19.668'><path d='M18,18V7.132l-8-4.8-8,4.8V18H6V15.25a4,4,0,1,1,8,0V18Zm-6,2V15.25a2,2,0,0,0-4,0V20H2a2,2,0,0,1-2-2V7.132A2,2,0,0,1,.971,5.417l8-4.8a2,2,0,0,1,2.058,0l8,4.8A2,2,0,0,1,20,7.132V18a2,2,0,0,1-2,2Z'/></svg>";
var meaLaptop = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 1.8 28.541 24.5'><path d='M6,2A3.011,3.011,0,0,0,3,5V18.727L1.325,21.633l-.016.023A3.034,3.034,0,0,0,4,26H26a3.034,3.034,0,0,0,2.688-4.344l-.023-.023L27,18.727V5a3.011,3.011,0,0,0-3-3ZM6,4H24a.987.987,0,0,1,1,1V18H5V5A.987.987,0,0,1,6,4ZM4.575,20H25.419L26.9,22.563A.972.972,0,0,1,26,24H4a.966.966,0,0,1-.891-1.437v-.008Z'/></svg>";
var meaOk = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'><path d='M 15,4.05 13.52,2.68 6.2,9.2 2.39,6.12 1,7.47 C 2.53,9.29 4.22,11.31 5.62,12.98 6,13.43 6.62,13.43 7.024,12.98 9.67,10.03 12.28,7.11 15,4.05 Z'/></svg>";
var meaPhone = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='8 3.9 16.2 24.2'><path d='M11,4A3.016,3.016,0,0,0,8,7V25a3.016,3.016,0,0,0,3,3H21a3.016,3.016,0,0,0,3-3V7a3.016,3.016,0,0,0-3-3Zm0,2H21a1,1,0,0,1,1,1V25a1,1,0,0,1-1,1H11a1,1,0,0,1-1-1V7A1,1,0,0,1,11,6Zm5,17a1,1,0,1,0,1,1A1,1,0,0,0,16,23Z'/></svg>";
var meaThreat = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'><path d='M 14.85,12.6 8.88,2.6 C 8.38,1.8 7.58,1.8 7.09,2.6 L 1.21,12.5 C 0.72,13.3 1.11,14 2.11,14 l 11.74,0 c 1,0 1.39,-0.6 1,-1.4 z m -6.77,-0.1 c -0.6,0 -1.09,-0.4 -1.09,-0.9 0,-0.5 0.5,-0.9 1.09,-0.9 0.6,0 1.09,0.4 1.09,0.9 -0.1,0.5 -0.6,0.9 -1.09,0.9 z m 0.5,-2.8 -0.5,0 -0.6,0 c 0,0 -0.6,-2.3 -0.6,-3.2 0,-1.1 1.09,-1.1 1.09,-1.1 0,0 1.09,0 1.09,1.1 0.1,0.9 -0.5,3.2 -0.5,3.2 z'/></svg>";
var meaWarning = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'><path d='M 14.76,5 11.12,1.23 C 11,1.12 10.76,1 10.65,1 L 5.35,1 C 5.12,1 4.88,1.12 4.76,1.23 L 1.24,5 C 1,5.08 1,5.32 1,5.43 L 1,10.57 C 1,10.8 1.12,11.03 1.24,11.15 L 4.88,14.77 C 5,14.88 5.24,15 5.47,15 l 5.18,0 c 0.24,0 0.47,-0.12 0.59,-0.23 L 14.76,11.15 C 14.88,11.03 15,10.8 15,10.57 l 0,-5.13 c 0,-0.12 0,-0.35 -0.24,-0.47 zM 8.06,12.2 c -0.71,0 -1.18,-0.47 -1.18,-1.05 0,-0.58 0.59,-1.05 1.18,-1.05 0.71,0 1.18,0.47 1.18,1.05 0,0.58 -0.59,1.05 -1.18,1.05 z m 0.59,-3.27 -0.59,0 -0.71,0 c 0,0 -0.71,-2.68 -0.71,-3.73 0,-1.28 1.29,-1.28 1.29,-1.28 0,0 1.29,0 1.29,1.28 C 9.35,6.25 8.65,8.93 8.65,8.93 Z'/></svg>";

//Components
var icons = {
    meaActivity: meaActivity,
    meaAskQuestion: meaAskQuestion,
    meaBell: meaBell,
    meaBookmark: meaBookmark,
    meaCertificate: meaCertificate,
    meaCog: meaCog,
    meaDevices: meaDevices,
    meaEsetLogoMain: meaEsetLogoMain,
    meaEsetLogoTiny: meaEsetLogoTiny,
    meaHome: meaHome,
    meaLaptop: meaLaptop,
    meaOk: meaOk,
    meaPhone: meaPhone,
    meaThreat: meaThreat,
    meaWarning: meaWarning
};

exports.IonMEAButton = IonMEACheckbox;
exports.IonMEACheckbox = IonMEACheckbox$1;
exports.IonMEAIconLabel = IonMEAIconLabel;
exports.IonMEANotification = IonMEANotification;
exports.IonMEAPageHeader = IonMEAPageHeader;
exports.IonMEARectChip = IonMEARectChip;
exports.icons = icons;
//# sourceMappingURL=index.js.map
